import typing

import kubernetes.client

class CustomObjectsApi:
    def list_namespaced_custom_object(self, group: str, version: str, namespace: str, plural: str, *, pretty: typing.Optional[str] = ..., allowWatchBookmarks: typing.Optional[bool] = ..., continue: typing.Optional[str] = ..., fieldSelector: typing.Optional[str] = ..., labelSelector: typing.Optional[str] = ..., limit: typing.Optional[int] = ..., resourceVersion: typing.Optional[str] = ..., resourceVersionMatch: typing.Optional[str] = ..., timeoutSeconds: typing.Optional[int] = ..., watch: typing.Optional[bool] = ...) -> typing.Any:
        ...
    def create_namespaced_custom_object(self, group: str, version: str, namespace: str, plural: str, body: typing.Any, *, pretty: typing.Optional[str] = ..., dryRun: typing.Optional[str] = ..., fieldManager: typing.Optional[str] = ...) -> None:
        ...
    def delete_collection_namespaced_custom_object(self, group: str, version: str, namespace: str, plural: str, *, pretty: typing.Optional[str] = ..., body: typing.Optional[kubernetes.client.V1DeleteOptions] = ..., gracePeriodSeconds: typing.Optional[int] = ..., orphanDependents: typing.Optional[bool] = ..., propagationPolicy: typing.Optional[str] = ..., dryRun: typing.Optional[str] = ...) -> typing.Any:
        ...
    def list_cluster_custom_object(self, group: str, version: str, plural: str, *, pretty: typing.Optional[str] = ..., allowWatchBookmarks: typing.Optional[bool] = ..., continue: typing.Optional[str] = ..., fieldSelector: typing.Optional[str] = ..., labelSelector: typing.Optional[str] = ..., limit: typing.Optional[int] = ..., resourceVersion: typing.Optional[str] = ..., resourceVersionMatch: typing.Optional[str] = ..., timeoutSeconds: typing.Optional[int] = ..., watch: typing.Optional[bool] = ...) -> typing.Any:
        ...
    def create_cluster_custom_object(self, group: str, version: str, plural: str, body: typing.Any, *, pretty: typing.Optional[str] = ..., dryRun: typing.Optional[str] = ..., fieldManager: typing.Optional[str] = ...) -> None:
        ...
    def delete_collection_cluster_custom_object(self, group: str, version: str, plural: str, *, pretty: typing.Optional[str] = ..., body: typing.Optional[kubernetes.client.V1DeleteOptions] = ..., gracePeriodSeconds: typing.Optional[int] = ..., orphanDependents: typing.Optional[bool] = ..., propagationPolicy: typing.Optional[str] = ..., dryRun: typing.Optional[str] = ...) -> typing.Any:
        ...
    def get_cluster_custom_object_status(self, group: str, version: str, plural: str, name: str) -> typing.Any:
        ...
    def replace_cluster_custom_object_status(self, group: str, version: str, plural: str, name: str, body: typing.Any, *, dryRun: typing.Optional[str] = ..., fieldManager: typing.Optional[str] = ...) -> typing.Any:
        ...
    def patch_cluster_custom_object_status(self, group: str, version: str, plural: str, name: str, body: typing.Any, *, dryRun: typing.Optional[str] = ..., fieldManager: typing.Optional[str] = ..., force: typing.Optional[bool] = ...) -> typing.Any:
        ...
    def get_namespaced_custom_object(self, group: str, version: str, namespace: str, plural: str, name: str) -> typing.Any:
        ...
    def replace_namespaced_custom_object(self, group: str, version: str, namespace: str, plural: str, name: str, body: typing.Any, *, dryRun: typing.Optional[str] = ..., fieldManager: typing.Optional[str] = ...) -> typing.Any:
        ...
    def delete_namespaced_custom_object(self, group: str, version: str, namespace: str, plural: str, name: str, *, body: typing.Optional[kubernetes.client.V1DeleteOptions] = ..., gracePeriodSeconds: typing.Optional[int] = ..., orphanDependents: typing.Optional[bool] = ..., propagationPolicy: typing.Optional[str] = ..., dryRun: typing.Optional[str] = ...) -> typing.Any:
        ...
    def patch_namespaced_custom_object(self, group: str, version: str, namespace: str, plural: str, name: str, body: typing.Any, *, dryRun: typing.Optional[str] = ..., fieldManager: typing.Optional[str] = ..., force: typing.Optional[bool] = ...) -> typing.Any:
        ...
    def get_namespaced_custom_object_scale(self, group: str, version: str, namespace: str, plural: str, name: str) -> typing.Any:
        ...
    def replace_namespaced_custom_object_scale(self, group: str, version: str, namespace: str, plural: str, name: str, body: typing.Any, *, dryRun: typing.Optional[str] = ..., fieldManager: typing.Optional[str] = ...) -> typing.Any:
        ...
    def patch_namespaced_custom_object_scale(self, group: str, version: str, namespace: str, plural: str, name: str, body: typing.Any, *, dryRun: typing.Optional[str] = ..., fieldManager: typing.Optional[str] = ..., force: typing.Optional[bool] = ...) -> typing.Any:
        ...
    def get_cluster_custom_object_scale(self, group: str, version: str, plural: str, name: str) -> typing.Any:
        ...
    def replace_cluster_custom_object_scale(self, group: str, version: str, plural: str, name: str, body: typing.Any, *, dryRun: typing.Optional[str] = ..., fieldManager: typing.Optional[str] = ...) -> typing.Any:
        ...
    def patch_cluster_custom_object_scale(self, group: str, version: str, plural: str, name: str, body: typing.Any, *, dryRun: typing.Optional[str] = ..., fieldManager: typing.Optional[str] = ..., force: typing.Optional[bool] = ...) -> typing.Any:
        ...
    def get_cluster_custom_object(self, group: str, version: str, plural: str, name: str) -> typing.Any:
        ...
    def replace_cluster_custom_object(self, group: str, version: str, plural: str, name: str, body: typing.Any, *, dryRun: typing.Optional[str] = ..., fieldManager: typing.Optional[str] = ...) -> typing.Any:
        ...
    def delete_cluster_custom_object(self, group: str, version: str, plural: str, name: str, *, body: typing.Optional[kubernetes.client.V1DeleteOptions] = ..., gracePeriodSeconds: typing.Optional[int] = ..., orphanDependents: typing.Optional[bool] = ..., propagationPolicy: typing.Optional[str] = ..., dryRun: typing.Optional[str] = ...) -> typing.Any:
        ...
    def patch_cluster_custom_object(self, group: str, version: str, plural: str, name: str, body: typing.Any, *, dryRun: typing.Optional[str] = ..., fieldManager: typing.Optional[str] = ..., force: typing.Optional[bool] = ...) -> typing.Any:
        ...
    def get_namespaced_custom_object_status(self, group: str, version: str, namespace: str, plural: str, name: str) -> typing.Any:
        ...
    def replace_namespaced_custom_object_status(self, group: str, version: str, namespace: str, plural: str, name: str, body: typing.Any, *, dryRun: typing.Optional[str] = ..., fieldManager: typing.Optional[str] = ...) -> typing.Any:
        ...
    def patch_namespaced_custom_object_status(self, group: str, version: str, namespace: str, plural: str, name: str, body: typing.Any, *, dryRun: typing.Optional[str] = ..., fieldManager: typing.Optional[str] = ..., force: typing.Optional[bool] = ...) -> typing.Any:
        ...
